Primer for Flambé

Primer for Flambé v.0.0.0.0

Until I have time to write proper documentation, this will serve to get beta-testers started with this product.

Flambé is a front-end application for the Nero - Burning Rom engine, that allows for burning of multiple directories each onto their own CD-R(W) without user input. This allows for much faster burning when the data can be prepared in advance.

Most of Flambé's features are self-explanatory and I will not go into them in this primer. Some, however, are not obvious and I will cover those topics here.

What is necessary to run Flambé?
Preparing for burning
What are .burned files?
Pausing and Aborting
Other Notes

What is necessary to run Flambé?

Flambé requires for the Nero - Burning Rom application to be installed and legally licensed (either the full product or the demo product) on the computer running Flambé in order to perform all operations. Information on purchasing a license or downloading a demo of Nero - Burning Rom can be found at http://www.nero.com/. Flambé has only been tested to work with version 5.5.7.8 and 5.5.8.1 of Nero - Burning Rom. Earlier versions will likely not work. Later versions should work, but have not been tested. The Nero - Burning Rom application does NOT need to be actively running for Flambé to operate.

Preparing for burning

Flambé is based around the principle of preparing data for multiple burns before commensing the burn itself. In order for Flambé to understand what is to be burned, and test that the planned data is compatible with certain burning restrictions, place the data for each planned disc into its own directory, henceforth known as volumes. All of these volumes must be contained in a single parent directory called the container directory. The container directory can have any valid name. The volume directories, however, represent the volume name that will be written to media. Therefore, the names of the volume directories must meet the requirements for burning as the volume name.

An example structure would be as follows:

C:\Burning\Container\
C:\Burning\Container\DATA_CD_0001
C:\Burning\Container\DATA_CD_0002
C:\Burning\Container\DATA_CD_0003

In this example, there would be no files in the C:\Burning\Container\ directory. The data to be written to each disc would be contained in the subdirectories.

What are .burned files?

In order to determine which directories have been burned in case the container directory is refreshed or the application is restarted, it can save and detect .burned files. Whenever Flambé successfully burnes a volume, it saves a 0-byte file in that volume's directory with the following format "<volume name>.burned". Then, if the volume list is refreshed, it will ignore these directories. If you wish to force Flambé to ignore directories contained in the container directory, simply create a file with and name that ends in .burned. Flambé will ignore that volume as long as that file exists.

Pausing and Aborting

If the Pause button is pressed, Flambé will not automatically load the next volume for burning after the current one is completed. Once paused, the option to Abort is made available. Pressing the Abort button will stop the current burn, most likely resulting in an unusable disc.

If Flambé is currently waiting for the next media to be inserted for burning, it is safe to Abort. Because Flambé sees this as a failure to burn that volume, you will need to refresh the volume list before initiating the burn process again to return the unburned volume to the volume list. This is not necessary if you pause the operation before it finishes the previous burn.

Other Notes

  • When the volume list is refreshed, it will detect some common issues that will prevent the burn. Any volumes that are not added to the queue will have an explanation listed in the Engine Output window.

  • Currently, Flambé does not support DVD burning.

  • Currently, Flambé does not support Overburning. If the amount of data in a volume directory is too large to fit on the media that is inserted, Flambé will simply eject the disc and request media again.